<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Level 0 Exercises</title>
</head>

<body>

    <script>

        console.log('Ex 2');
        let doublePiValue = Math.PI * 2;
        console.log(doublePiValue);

        console.log('Ex 3');
        let randomNumber = parseInt(Math.random() * 100);
        console.log('Minu juhuslik number vahemikus 0 - 99', randomNumber);

        console.log('Ex 4');
        let randomNumber2 = parseInt(Math.random() * 11);
        console.log('Minu juhuslik number vahemikus 0 - 10', randomNumber2);

        console.log('Ex 5');
        // alert('I am an annoying feature!');

        console.log('Ex 6');
        // let isAdult = confirm('Kas oled täisealine?');
        // if (isAdult) {
        //     console.log('Kasutaja on täisealine.');
        // } else {
        //     console.log('Kasutaja on alaealine.');
        // }

        console.log('Ex 7');
        // let repeatCount = parseInt(prompt('Sisesta number:'));
        // for (let i = 0; i <= repeatCount; i++) {
        //     console.log(i);
        // }

        // console.log('Ex 8');
        // let index = 0;
        // while (index <= repeatCount) {
        //     console.log(index);
        //     index++;
        // }
        
        // console.log('Ex 9');
        // index = 0;
        // do {
        //     console.log(index);
        //     index++;
        // } while (index <= repeatCount);

        // let isAdult2 = false;
        // let birthDayString = prompt('Sisesta oma sünniaeg (näiteks 17.05.2003):');
        // let birthDayParts = birthDayString.split('.');
        // let birthYear = parseInt(birthDayParts[2]);
        // let birthMonth = parseInt(birthDayParts[1]);
        // let birthDay = parseInt(birthDayParts[0]);

        // let currentTime = new Date();
        // let currentYear = currentTime.getFullYear();
        // let currentMonth = currentTime.getMonth() + 1;
        // let currentDay = currentTime.getDate();
        
        // if (currentYear - birthYear < 18) {
        //     isAdult2 = false;
        // } else if (currentYear - birthYear == 18) {
        //     // Siin peab arvutama.
        //     if (currentMonth < birthMonth) {
        //         isAdult2 = false;
        //     } else if (currentMonth == birthMonth) {
        //         // Siin peab arvutama.
        //         if (currentDay < birthDay) {
        //             isAdult2 = false;
        //         } else {
        //             isAdult2 = true;
        //         }
        //     } else {
        //         isAdult2 = true;
        //     }
        // } else {
        //     isAdult2 = true;
        // }

        // console.log('Kas kasutaja on täisealine?', isAdult2);

        console.log('Ex 11');
        let firstName = prompt('Palun sisesta oma eesnimi:');
        firstName = firstName.charAt(0).toUpperCase() + firstName.substring(1);
        let lastName = prompt('Palun sisesta oma perenimi:');
        lastName = lastName.charAt(0).toUpperCase() + lastName.substring(1);
        let profession = prompt('Palun sisesta oma elukutse:');

        console.log('-------------------------------------');
        console.log(`Eesnimi: ${firstName}`);
        console.log(`Perenimi: ${lastName}`);
        console.log(`Elukutse: ${profession}`);
        console.log('-------------------------------------');

    </script>
</body>

</html>